Blob Blame Raw
diff -up fcgi-2.4.0/perl/Makefile.PL.eemm fcgi-2.4.0/perl/Makefile.PL
--- fcgi-2.4.0/perl/Makefile.PL.eemm	2002-12-15 20:40:19.000000000 +0100
+++ fcgi-2.4.0/perl/Makefile.PL	2011-06-29 16:22:26.379471074 +0200
@@ -99,10 +99,7 @@ if ($pure) {
 # the contents of the Makefile that is written.
 
 # Work around bug in previous versions of MakeMaker
-WriteMakefile(NAME => 'FCGI') 
-    if $ExtUtils::MakeMaker::VERSION <= 5.4302;
-
-$mm = MM->new({
+WriteMakefile(
     'NAME'		=> 'FCGI',
     'VERSION_FROM'	=> 'version.pm',
     'dist'		=> { 'COMPRESS' => 'gzip -9f', 
@@ -112,7 +109,7 @@ $mm = MM->new({
 				(map {"libfcgi/$_"} @dist2),
 				map {"include/$_"} @dist3).' $(DISTVNAME);'.
 				'$(CP) MANIFEST MANIFEST.old;'.
-				'echo -e '. join('\\\n',@dist1,@dist2,@dist3) .
+				'$(ECHO) '. join('\\\n',@dist1,@dist2,@dist3) .
 				'>> $(DISTVNAME)/MANIFEST',
 			      'POSTOP' => 
 				'$(MV) MANIFEST.old MANIFEST',
@@ -123,10 +120,7 @@ $mm = MM->new({
     'PL_FILES'		=> $plfiles,
     PM			=> {'FCGI.pm' => '$(INST_ARCHLIBDIR)/FCGI.pm'},
     @extras,
-});
-# don't install oldinterface pod
-delete $mm->{MAN3PODS}{oldinterface.pod};
-$mm->flush;
+);
 
 exit if -f 'fcgi_config.h' or $libfound or $pure;